Package tigase.auth.mechanisms

## Class AbstractSasl

- java.lang.Object
- - tigase.auth.mechanisms.AbstractSasl

- All Implemented Interfaces:
    `javax.security.sasl.SaslServer`
  Direct Known Subclasses:
    `AbstractSaslSCRAM`, `SaslANONYMOUS`, `SaslEXTERNAL`, `SaslPLAIN`

      public abstract class AbstractSasl
      extends java.lang.Object
      implements javax.security.sasl.SaslServer

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `authorizedId` |
    `protected javax.security.auth.callback.CallbackHandler` | `callbackHandler` |
    `protected boolean` | `complete` |
    `protected java.util.logging.Logger` | `log` |
    `protected java.util.Map<java.lang.String,​java.lang.Object>` | `negotiatedProperty` |
    `static java.lang.String` | `PASSWORD_NOT_VERIFIED_MSG` |
    `protected java.util.Map<? super java.lang.String,​?>` | `props` |
    `static java.lang.String` | `SASL_STRICT_MODE_KEY` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractSasl​(java.util.Map<? super java.lang.String,​?> props, javax.security.auth.callback.CallbackHandler callbackHandler)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dispose()` |
    `java.lang.Object` | `getNegotiatedProperty​(java.lang.String propName)` |
    `protected void` | `handleCallbacks​(javax.security.auth.callback.Callback... callbacks)` |
    `static boolean` | `isAuthzIDIgnored()` |
    `boolean` | `isComplete()` |
    `protected static boolean` | `isEmpty​(java.lang.Object x)` |
    `protected java.lang.String[]` | `split​(byte[] byteArray, java.lang.String defaultValue)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.security.sasl.SaslServer

      `evaluateResponse, getAuthorizationID, getMechanismName, unwrap, wrap`

- - ### Field Detail

    - #### SASL_STRICT_MODE_KEY

          public static final java.lang.String SASL_STRICT_MODE_KEY

      See Also:
        Constant Field Values

    - #### PASSWORD_NOT_VERIFIED_MSG

          public static java.lang.String PASSWORD_NOT_VERIFIED_MSG

    - #### callbackHandler

          protected final javax.security.auth.callback.CallbackHandler callbackHandler

    - #### log

          protected final java.util.logging.Logger log

    - #### negotiatedProperty

          protected final java.util.Map<java.lang.String,​java.lang.Object> negotiatedProperty

    - #### props

          protected final java.util.Map<? super java.lang.String,​?> props

    - #### authorizedId

          protected java.lang.String authorizedId

    - #### complete

          protected boolean complete

  - ### Constructor Detail

    - #### AbstractSasl

          protected AbstractSasl​(java.util.Map<? super java.lang.String,​?> props,
                                 javax.security.auth.callback.CallbackHandler callbackHandler)

  - ### Method Detail

    - #### isAuthzIDIgnored

          public static boolean isAuthzIDIgnored()

    - #### isEmpty

          protected static final boolean isEmpty​(java.lang.Object x)

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `javax.security.sasl.SaslServer`

    - #### getNegotiatedProperty

          public java.lang.Object getNegotiatedProperty​(java.lang.String propName)

      Specified by:
        `getNegotiatedProperty` in interface `javax.security.sasl.SaslServer`

    - #### handleCallbacks

          protected void handleCallbacks​(javax.security.auth.callback.Callback... callbacks)
                                  throws javax.security.sasl.SaslException

      Throws:
        `javax.security.sasl.SaslException`

    - #### isComplete

          public boolean isComplete()

      Specified by:
        `isComplete` in interface `javax.security.sasl.SaslServer`

    - #### split

          protected java.lang.String[] split​(byte[] byteArray,
                                             java.lang.String defaultValue)